Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.search
Class SubstringQualification

    java.lang.Object
      oracle.ifs.search.SearchQualification
          oracle.ifs.search.SubstringQualification

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class SubstringQualification

extends SearchQualification

SubstringQualification generates a LYKE based search condition. Use this class to make use of LYKE in your search. Currently there is no support for bind values with SubstringQualification.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected java.lang.String` | `m_AttributeName` Holds the attribute.
`protected java.lang.String` | `m_ClassName` This holds the iFS class name for the attribute.
`protected java.lang.String` | `m_Value` Holds the value.

Fields inherited from class oracle.ifs.search.SearchQualification
`LATE_BIND_OPER`

Constructor Summary
`SubstringQualification()` Constructs an substring qualification.

Method Summary
`protected void` | `accept(oracle.ifs.search.SearchQualificationVisitor v)` Accepts a SearchQualificationVisitor.
`java.lang.Object` | `clone()` Returns a clone of this SearchQualification.
`java.lang.String` | `getAttributeName()`
`java.lang.String` | `getClassName()`
`protected java.lang.String` | `getFunctionName()`
`protected java.lang.String` | `getValue()` Returns the value..
`void` | `setAttributeName(java.lang.String attributeName)` Sets the attribute name of this qualification.
`void` | `setAttributeName(java.lang.String className, java.lang.String attributeName)` Sets the class and attribute name of this qualification.
`void` | `setClassName(java.lang.String className)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class oracle.ifs.search.SearchQualification
`isLateBound`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_ClassName

    protected java.lang.String m_ClassName

  Description copied from class: `SubstringQualification`
  This holds the iFS class name for the attribute.

  (Unpublished)

### m_AttributeName

    protected java.lang.String m_AttributeName

  Description copied from class: `SubstringQualification`
  Holds the attribute.

  (Unpublished)

### m_Value

    protected java.lang.String m_Value

  Description copied from class: `SubstringQualification`
  Holds the value.

  (Unpublished)

Constructor Detail

### SubstringQualification

    public SubstringQualification()
                           throws IfsException

  Constructs an substring qualification.

  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### setAttributeName

    public void setAttributeName(java.lang.String className,
                                 java.lang.String attributeName)
                          throws IfsException

  Description copied from class: `SubstringQualification`
  Sets the class and attribute name of this qualification. The class name used here should be one of the search classes.

  Parameters:
    `className` - class name
    `attributeName` - attribute name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAttributeName

    public void setAttributeName(java.lang.String attributeName)
                          throws IfsException

  Description copied from class: `SubstringQualification`
  Sets the attribute name of this qualification. We assume this belongs to the first search class.

  Parameters:
    `attributeName` - attribute name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAttributeName

    public java.lang.String getAttributeName()
                                      throws IfsException

  Throws:
    `IfsException`

### setValue

    public void setValue(java.lang.String value)
                  throws IfsException

  Throws:
    `IfsException`

### setClassName

    public void setClassName(java.lang.String className)
                      throws IfsException

  Throws:
    `IfsException`

### getClassName

    public java.lang.String getClassName()
                                  throws IfsException

  Throws:
    `IfsException`

### getValue

    protected java.lang.String getValue()

  Description copied from class: `SubstringQualification`
  Returns the value..

  Returns:
    value
  (Unpublished)

### accept

    protected void accept(oracle.ifs.search.SearchQualificationVisitor v)
                   throws IfsException

  Description copied from class: `SubstringQualification`
  Accepts a SearchQualificationVisitor. Calls visitExistenceQualifier on the visitor. The code in visitExistenceQualifier is specific to the Visitor.

  Specified by:
    `accept` in class `SearchQualification`
  Parameters:
    `v` - SearchQualificationVisitor
  Throws:
    `IfsException` - thrown if Visitor code throws.
  (Unpublished)

### clone

    public java.lang.Object clone()

  Description copied from class: `SubstringQualification`
  Returns a clone of this SearchQualification.

  Overrides:
    `clone` in class `SearchQualification`
  Returns:
    Return a clone of this SubstringQualification.
  (Unpublished)

### getFunctionName

    protected java.lang.String getFunctionName()
                                        throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD